diff options
| author | Linus Färnstrand <faern@faern.net> | 2021-12-27 23:03:41 +0100 |
|---|---|---|
| committer | Linus Färnstrand <faern@faern.net> | 2021-12-30 08:35:48 +0100 |
| commit | 819359490d4ae622b9fc655a6a97a41d5be295e9 (patch) | |
| tree | c83033abb38e7c1c08ea3c8313759b675f44a386 | |
| parent | 3cfafa55cde7769cb05846103362ea36289d327e (diff) | |
| download | mullvadvpn-819359490d4ae622b9fc655a6a97a41d5be295e9.tar.xz mullvadvpn-819359490d4ae622b9fc655a6a97a41d5be295e9.zip | |
Remove `+stable` from cargo args. Build with default toolchain
| -rwxr-xr-x | build-apk.sh | 4 | ||||
| -rwxr-xr-x | build.sh | 8 | ||||
| -rwxr-xr-x | prepare-release.sh | 2 | ||||
| -rwxr-xr-x | update-api-address.sh | 2 | ||||
| -rwxr-xr-x | update-relays.sh | 2 |
5 files changed, 9 insertions, 9 deletions
diff --git a/build-apk.sh b/build-apk.sh index 960d509a18..50cb516c6b 100755 --- a/build-apk.sh +++ b/build-apk.sh @@ -56,7 +56,7 @@ if [[ "$BUILD_TYPE" == "debug" || $product_version_commit_hash != $current_head_ echo "Modifying product version to $PRODUCT_VERSION" else echo "Removing old Rust build artifacts" - cargo +stable clean + cargo clean CARGO_ARGS+=" --locked" fi @@ -117,7 +117,7 @@ for ARCHITECTURE in ${ARCHITECTURES:-aarch64 armv7 x86_64 i686}; do esac echo "Building mullvad-daemon for $TARGET" - cargo +stable build $CARGO_ARGS --target "$TARGET" --package mullvad-jni + cargo build $CARGO_ARGS --target "$TARGET" --package mullvad-jni STRIP_TOOL="${NDK_TOOLCHAIN_DIR}/${LLVM_TRIPLE}-strip" STRIPPED_LIB_PATH="$SCRIPT_DIR/android/app/build/extraJni/$ABI/libmullvad_jni.so" @@ -42,7 +42,7 @@ function log_info { SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" cd "$SCRIPT_DIR" -RUSTC_VERSION=$(rustc +stable --version) +RUSTC_VERSION=$(rustc --version) PRODUCT_VERSION=$(node -p "require('./gui/package.json').version" | sed -Ee 's/\.0//g') CARGO_TARGET_DIR=${CARGO_TARGET_DIR:-"target"} @@ -121,7 +121,7 @@ if [[ "$BUILD_MODE" == "dev" || $product_version_commit_hash != "$current_head_c CARGO_ARGS+=(--features api-override) else log_info "Removing old Rust build artifacts..." - cargo +stable clean + cargo clean CARGO_ARGS+=(--locked) fi @@ -226,7 +226,7 @@ function build { CARGO_TARGET_ARG+=(--target="$current_target") fi - cargo +stable build "${CARGO_TARGET_ARG[@]}" "${CARGO_ARGS[@]}" --release + cargo build "${CARGO_TARGET_ARG[@]}" "${CARGO_ARGS[@]}" --release ################################################################################ # Move binaries to correct locations in dist-assets @@ -266,7 +266,7 @@ if [[ "$(uname -s)" == "Darwin" || "$(uname -s)" == "Linux" ]]; then mkdir -p "dist-assets/shell-completions" for sh in bash zsh fish; do log_info "Generating shell completion script for $sh..." - cargo +stable run --bin mullvad "${CARGO_ARGS[@]}" --release -- shell-completions "$sh" \ + cargo run --bin mullvad "${CARGO_ARGS[@]}" --release -- shell-completions "$sh" \ "dist-assets/shell-completions/" done fi diff --git a/prepare-release.sh b/prepare-release.sh index 1b7bde3269..6bc4765a3f 100755 --- a/prepare-release.sh +++ b/prepare-release.sh @@ -59,7 +59,7 @@ echo "Syncing Cargo.lock with new version numbers" source env.sh "" # If cargo exits with a non zero exit status and it's not a timeout (exit code 124) it's an error set +e -timeout 5s cargo +stable build +timeout 5s cargo build if [[ $? != 0 && $? != 124 ]]; then exit 1 fi diff --git a/update-api-address.sh b/update-api-address.sh index 5013a56f61..e0e27a5d21 100755 --- a/update-api-address.sh +++ b/update-api-address.sh @@ -3,4 +3,4 @@ echo "Updating API address cache..." set -e -cargo +stable run --bin address_cache --release > dist-assets/api-ip-address.txt +cargo run --bin address_cache --release > dist-assets/api-ip-address.txt diff --git a/update-relays.sh b/update-relays.sh index 1faa54b991..78f693750f 100755 --- a/update-relays.sh +++ b/update-relays.sh @@ -3,4 +3,4 @@ echo "Updating relay list..." set -e -cargo +stable run --bin relay_list --release > dist-assets/relays.json +cargo run --bin relay_list --release > dist-assets/relays.json |
